<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh-tw/HowTos/sftp</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh-tw/HowTos/sftp</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh-tw"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="A.2BfCFmEw_SFTP_.2Bii1.2Fbg-">簡易 SFTP 設置</h1>
<span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line862">此 SFTP 設置<strong>沒有</strong>採用 chroot，或限制 root 連線 <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line862">建立一個基本的安裝作為起點。接著，加入基本安裝以外的套件：<strong>rsync</strong>、<strong>man</strong> 及 <strong>openssh-clients</strong> <span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line874">{{{[root@host-172-16-1-198 ~]# reset <span class="anchor" id="line-10"></span>[root@host-172-16-1-198 ~]# cat sftp-setup.txt  <span class="anchor" id="line-11"></span><span class="anchor" id="line-12"></span><ul><li style="list-style-type:none">5  yum install rsync man  <span class="anchor" id="line-13"></span>6  yum install openssh-clients  <span class="anchor" id="line-14"></span></li></ul><ul><li style="list-style-type:none">11  grep sftp /etc/services      <span class="anchor" id="line-15"></span>12  cd /etc/sysconfig/           <span class="anchor" id="line-16"></span>13  joe iptables                 <span class="anchor" id="line-17"></span>14  vi iptables                  <span class="anchor" id="line-18"></span>15  service iptables restart     <span class="anchor" id="line-19"></span>18  passwd                       <span class="anchor" id="line-20"></span>19  sftp localhost               <span class="anchor" id="line-21"></span>20  ssh localhost                <span class="anchor" id="line-22"></span><p class="line862">21  history &gt; sftp-setup.txt     <span class="anchor" id="line-23"></span></li></ul><p class="line874">}}} <span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><p class="line862">我們特意開啟 <strong>sftp</strong> 埠；不清楚這是否必須的： <span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><p class="line874">{{{# Firewall configuration written by system-config-firewall <span class="anchor" id="line-28"></span># Manual customization of this file is not recommended.    <span class="anchor" id="line-29"></span>*filter                                                    <span class="anchor" id="line-30"></span>:INPUT ACCEPT [0:0]                                        <span class="anchor" id="line-31"></span>:FORWARD ACCEPT [0:0]                                      <span class="anchor" id="line-32"></span>:OUTPUT ACCEPT [0:0]                                       <span class="anchor" id="line-33"></span>-A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT    <span class="anchor" id="line-34"></span>-A INPUT -p icmp -j ACCEPT                                 <span class="anchor" id="line-35"></span>-A INPUT -i lo -j ACCEPT                                   <span class="anchor" id="line-36"></span>-A INPUT -i eth1 -j ACCEPT                                 <span class="anchor" id="line-37"></span>-A INPUT -m state --state NEW -m tcp -p tcp --dport 22 -j ACCEPT <span class="anchor" id="line-38"></span>-A INPUT -m state --state NEW -m tcp -p tcp --dport sftp -j ACCEPT <span class="anchor" id="line-39"></span>-A INPUT -j REJECT --reject-with icmp-host-prohibited              <span class="anchor" id="line-40"></span>-A FORWARD -j REJECT --reject-with icmp-host-prohibited            <span class="anchor" id="line-41"></span>COMMIT <span class="anchor" id="line-42"></span>}}} <span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line874">以下是在運行中的服務： <span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><p class="line874">{{{acpid           0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-47"></span>atd             0:off   1:off   2:off   3:on    4:on    5:on    6:off <span class="anchor" id="line-48"></span>auditd          0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-49"></span>crond           0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-50"></span>ip6tables       0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-51"></span>iptables        0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-52"></span>netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off <span class="anchor" id="line-53"></span>network         0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-54"></span>restorecond     0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-55"></span>rsyslog         0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-56"></span>sendmail        0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-57"></span>snmpd           0:off   1:off   2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-58"></span>udev-post       0:off   1:on    2:on    3:on    4:on    5:on    6:off <span class="anchor" id="line-59"></span>}}} <span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><p class="line862">及測試可用性 —— 留意我們在此範例中<strong>沒有</strong>更改 <strong>/etc/ssh/sshd_config</strong>： <span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><p class="line874">{{{[roothost-172-16-1-198 ~]# sftp localhost <span class="anchor" id="line-64"></span>Connecting to localhost... <span class="anchor" id="line-65"></span>root@localhost's password: <span class="anchor" id="line-66"></span>sftp&gt; ls <span class="anchor" id="line-67"></span>sftp-setup.txt <span class="anchor" id="line-68"></span>sftp&gt; ls -l <span class="anchor" id="line-69"></span>-rw-r--r--    1 root     root         1830 Oct 15 08:31 sftp-setup.txt <span class="anchor" id="line-70"></span>sftp&gt; quit <span class="anchor" id="line-71"></span>[root@host-172-16-1-198 ~]# <span class="anchor" id="line-72"></span>}}} <span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><p class="line874">還有以 ssh 存取： <span class="anchor" id="line-75"></span><span class="anchor" id="line-76"></span><p class="line874">{{{[root@host-172-16-1-198 ~]# ssh localhost <span class="anchor" id="line-77"></span>root@localhost's password: <span class="anchor" id="line-78"></span>Last login: Mon Oct 15 08:30:29 2012 from 10.16.1.106 <span class="anchor" id="line-79"></span>[root@host-172-16-1-198 ~]# logout <span class="anchor" id="line-80"></span>Connection to localhost closed. <span class="anchor" id="line-81"></span>[root@host-172-16-1-198 ~]# <span class="anchor" id="line-82"></span>}}} <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><p class="line862">以金鑰或密碼進行驗證都是可行的。從遠端登入時，假若金鑰存在，我們便<strong>不會</strong>被要求輸入密碼。要是我們刪掉提供金鑰的功能，我們便須要輸入密碼： <span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line874">{{{[herrold@centos-6 ~]$ # 設置 ssh 採用金鑰 <span class="anchor" id="line-87"></span>[herrold@centos-6 ~]$ date <span class="anchor" id="line-88"></span>Mon Oct 15 12:57:07 EDT 2012 <span class="anchor" id="line-89"></span>[herrold@centos-6 ~]$ sftp <a class="mailto" href="mailto:root@10.16.1.194">root@10.16.1.194</a> <span class="anchor" id="line-90"></span>Connecting to 10.16.1.194... <span class="anchor" id="line-91"></span>sftp&gt; ls <span class="anchor" id="line-92"></span>sftp-setup.txt <span class="anchor" id="line-93"></span>sftp&gt; quit <span class="anchor" id="line-94"></span>[herrold@centos-6 ~]$ # 移除金鑰 <span class="anchor" id="line-95"></span>[herrold@centos-6 ~]$ sftp <a class="mailto" href="mailto:root@10.16.1.194">root@10.16.1.194</a> <span class="anchor" id="line-96"></span>Connecting to 10.16.1.194... <span class="anchor" id="line-97"></span><a class="mailto" href="mailto:root@10.16.1.194">root@10.16.1.194</a>'s password: <span class="anchor" id="line-98"></span>sftp&gt; ls <span class="anchor" id="line-99"></span>sftp-setup.txt <span class="anchor" id="line-100"></span>sftp&gt; quit <span class="anchor" id="line-101"></span>[herrold@centos-6 ~]$ date <span class="anchor" id="line-102"></span>Mon Oct 15 12:57:33 EDT 2012 <span class="anchor" id="line-103"></span>[herrold@centos-6 ~]$ <span class="anchor" id="line-104"></span>}}} <span class="anchor" id="line-105"></span><span class="anchor" id="line-106"></span><p class="line862">我們在這裡未探討包裝函式或收緊 <strong>iptables</strong> 規則等加固方法，因為它們已超越此篇文章的範疇。 <span class="anchor" id="line-107"></span><span class="anchor" id="line-108"></span><p class="line867"><small>Translation of revision 2</small> <span class="anchor" id="line-109"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
